sudoku_generator(1)

NAME
sudoku_generator - generate and solve Sudoku puzzles

SYNOPSIS
sudoku_generator [-n|--non-sym] [-d|--dump] [givens_count]
sudoku_generator -s|--solve|-p|--print sudoku_dump

DESCRIPTION
sudoku_generator generates, solves and prints Number Place puzzles, so called Sudokus. A Sudoku puzzle consists of 9 x 9 cells subdivided into 9 regions with 3 x 3 cells. The rules are simple. There have to be the numbers from 1 to 9 in every row, column and region.

givens_count
    Number of givens (<= 81). Default is 36. Generation of Sudoku puzzles with less than 26 givens takes very long.

sudoku_dump
    String with 81 * 1-9 or _ (+ ignored).

OPTIONS

-n, --non-sym
    Generate a non-symmetric Sudoku puzzle. Default is symmetric.

-d, --dump
    Dump the generated Sudoku puzzle (don't print).

-s, --solve sudoku_dump
    Solve a Sudoku puzzle.

-p, --print sudoku_dump
    Print a Sudoku puzzle.

-v, --version
    Print version information and exit.

-h, --help
    Print help message and exit.

COPYRIGHT
Copyright © 2005-2010, Thomas Günther <tom@toms-cafe.de>
This GPL program comes with ABSOLUTELY NO WARRANTY; this is free software, and you are welcome to redistribute it under certain conditions; see the source for details.